Changelog
Version 5
Version 5.0.0
Release date:
- MBA: tbd
- Customer: tbd
Breaking changes
- LIST_DOCUMENTS: Dropped. This operation is replaced by the new
QUERYoperation. Please refer to the Query API documentation for details on how to perform queries in TMT 5.0. - GET_DOCUMENT: Replaced by the new
GET_TMT_DOCUMENToperation - LIST_TEST_RUNS: This is marked as deprecated in 4.5.0 and will be removed in 5.0. Please use List test run documents with the new QUERY operation to query test runs with flexible filters.
- LIST_SUB_PROJECTS: Dropped. Please use LOAD_PROJECTS_BY_TENANT to get both parent projects and subprojects assigned to the user.
Project and subproject APIs
-
Operation LOAD_PROJECT_WITH_VERSION
- Request:
- Added field
projectVersionNumber(string) to requestprojectSpec, allowing callers to target a specific version number. If not provided, the API will continue to return the project with the latest version, as it did before.
- Added field
- Request:
-
Operation LOAD_PROJECTS_BY_TENANT
- Response:
- Breaking change:
- Now return all projects and subprojects that are being assigned to the user, instead of only top level projects.
- Response format changed from an array of
linkRef/documententries to aQueryOperationResponseresult. Parent projects are returned inentries; subprojects are returned inlinks. Each link item'ssourceDocRefis the parent project document reference. Each entry and link now includestype,depth, anddocumentModelNamefields.
- Breaking change:
- Response:
-
Operation LIST_SUB_PROJECTS
- Dropped operation: Subprojects are now returned in the
linksarray of theLOAD_PROJECTS_BY_TENANTresponse. ThesourceDocRefin each link item is the parent project's document reference. Use LOAD_PROJECTS_BY_TENANT instead.
- Dropped operation: Subprojects are now returned in the
-
Operation DELETE_PROJECT
- New operation: triggers a background task to delete the specified project. Returns a
TaskRequestdocument reference to track deletion progress via the Get task request API.
- New operation: triggers a background task to delete the specified project. Returns a
-
Operation GET_PROJECT
- Breaking change: Method changed from
GET_DOCUMENTtoGET_TMT_DOCUMENT.
- Breaking change: Method changed from
Test run APIs
-
Operation GET_TEST_RUN
- Breaking change: Method changed from
GET_DOCUMENTtoGET_TMT_DOCUMENT.
- Breaking change: Method changed from
-
Operation List test run documents
- Request:
- Breaking change: Method changed from
LIST_DOCUMENTStoQUERY. Params restructured:documentModelName+filter+page(offset/limit) +sort(string) replaced byparams.querywithtargetDocumentModel,projectionName,constraint,sort(objects withfield/direction/ignoreCase/nullHandling), andpaging(pageNumber/pageSize).
- Breaking change: Method changed from
- Response:
- Breaking change: Outer array wrapper removed (now a single JSON object).
page.offset/page.limitrenamed topage.pageNumber/page.pageSize. Addedlinks: []andotherResults: {}.Attachmentsremoved from entries.
- Breaking change: Outer array wrapper removed (now a single JSON object).
- Request:
Test suites APIs
-
Operation GET_TEST_SUITE
- Breaking change: Method changed from
GET_DOCUMENTtoGET_TMT_DOCUMENT.
- Breaking change: Method changed from
-
Operation List test suites
- Request:
- Breaking change: Array wrapper removed. Replaced
filter+page(offset/limit) +sort(string) with a nestedqueryfield (targetDocumentModel,projectionName,constraint,sortwith field objects,pagingwithpageNumber/pageSize). Added newtestCaseFilters: []field to params.projectSpecnow also acceptsprojectVersionNumber.
- Breaking change: Array wrapper removed. Replaced
- Response:
- Breaking change: Response format changed to
QueryOperationResponse.page.offset/page.limitrenamed topage.pageNumber/page.pageSize.Attachments,SearchTags,LatestTestCaseExecutionData,AssignedToVersion, andAutomationCoveragebreakdown removed from example.
- Breaking change: Response format changed to
- Request:
-
Operation GET_TEST_SUITES_IN_RUN
- Request:
- Breaking change: Removed
filterobject. Renamedpage.offset/page.limittopage.pageNumber/page.pageSize. Sort changed from[{ order: "field ASC" }]to[{ field, direction, nullHandling, ignoreCase }].
- Breaking change: Removed
- Response:
- Breaking change: Response format changed to
QueryOperationResponse.page.offset/page.limitrenamed topage.pageNumber/page.pageSize.Root/Metadatanow includesIsFrozenByClosedVersioninstead ofAssignedToVersion. Addedlinks: nullandotherResults: null.
- Breaking change: Response format changed to
- Request:
-
Operation GET_AVAILABLE_TEST_SUITES
- Request:
- Breaking change: Request params restructured. Replaced separate
page(offset/limit),sort(string"field ASC"), andfilter(filters[],fulltext,lang) fields with a nestedqueryfield using theQueryApiRootschema.
- Breaking change: Request params restructured. Replaced separate
- Response:
- Breaking change: Response format changed to
QueryOperationResponse.
- Breaking change: Response format changed to
- Request:
Test cases APIs
-
Operation GET_TEST_CASE
- Breaking change: Method changed from
GET_DOCUMENTtoGET_TMT_DOCUMENT.
- Breaking change: Method changed from
-
Operation List test cases
- Request:
- Breaking change: Method changed from
LIST_DOCUMENTStoQUERY. Params restructured fromdocumentModelName+filter/page/sorttoparams.querywithtargetDocumentModel,projectionName,constraint,sort, andpaging. TheIsFrozenByClosedTestRunexclusion filter is now expressed as anot+exact_matchconstraint.
- Breaking change: Method changed from
- Response:
- Breaking change: Outer array wrapper removed.
page.offset/page.limitrenamed topage.pageNumber/page.pageSize. Each entry now includestype,depth, anddocumentModelName. Addedlinks: []andotherResults: {}.
- Breaking change: Outer array wrapper removed.
- Request:
-
Operation ADD_TEST_CASES_TO_RUN_BY_ID
- Response:
- Breaking change:
resultchanged fromnullto an object{ failedTestCaseIds: string[] }listing the ids of test cases that could not be added to the test run
- Breaking change:
- Response:
Test folders APIs
- Operation GET_TEST_FOLDER
- Breaking change: Method changed from
GET_DOCUMENTtoGET_TMT_DOCUMENT.
- Breaking change: Method changed from
Task APIs
- Operation GET_TASK_REQUEST
- Breaking change: Method changed from
GET_DOCUMENTtoGET_TMT_DOCUMENT.
- Breaking change: Method changed from
Test execution APIs
- Operation GET_TEST_CASE_EXECUTIONS
- Request:
- Breaking change: Renamed
page(PageSpec:offset/limit) topaging(QueryPaging:pageNumber/pageSize). Added optionaltestSuiteDocRefparam to filter executions by suite.
- Breaking change: Renamed
- Response:
- Breaking change:
page.offset/page.limitrenamed topage.pageNumber/page.pageSize. AddedlinksandotherResultsto result. Each entry gainsRoot.RiskLevelData(detailed risk calculation fields).Metadata.LatestTestCaseExecutionDatanow includesTestCaseDocRefandTestSuiteDocRef.Root.GeneralgainsProjectVersionNumber.
- Breaking change:
- Request:
Version 4
Version 4.8.3
Release date
MBA: 2025-02-23
Customer: 2026-02-04
Changes
- Operation Add test cases to run by id
- Introduce new param:
validateSameTestSuite - Default is TRUE. The API will validate that all test cases belong to the same test suite before adding them to the test run
- Introduce new param:
Version 4.5.0
Release date
MBA: 2025-08-06
Customer: 2025-08-11
Changes
- Breaking change: field
Root/General/TestSuiteIdis required when creating/updating a test folder - Breaking change: field
Root/docRefrenamed toRoot/DocRefin Version document (Version-dm) - Add Error detail group in Task Request document (TaskRequest-dm), to help get more information about the error:
- Add field
Root/Error/Detail/Code - Add field
Root/Error/Detail/MessageKey - Add field
Root/Error/Detail/Description
- Add field
- Add RunningStep group in Task Request document (TaskRequest-dm), to help track the execution of a running task:
- Add field
Root/RunningStep/StepName - Add an array of group
Root/RunningStep/StepDetail. Where each item contains:- Add field
Root/RunningStep/StepDetail/Key - Add field
Root/RunningStep/StepDetail/Value
- Add field
- Add field
- Add group
Root/Metadatainto Test suite in Run document (TestRunTestSuiteAdditionalFields-dm) - Add group
Root/General/IsLatestVersioninto Task Request document (TaskRequest-dm) to indicate whether the task request is for the latest version of the project - Add group
Root/DisplayFields/ProjectTitleinto Task Request document (TaskRequest-dm) to display the project title in the task request - Add Closed version group to
Root/Metadatato indicate when a document is frozen due to version closure:Root/Metadata/IsFrozenByClosedVersion: Whentrue, the document is read-only and cannot be modified.Root/Metadata/CloseVersionOn: Timestamp marking when the version was closed.Root/Metadata/DisplayCloseVersionOn: Pre-formatted version of the close timestamp for display in UI.
- Add closed version detail group in Version document (Version-dm), to provide complete tracking of the version closure process:
Root/General/CloseRequestOn: Timestamp indicating when the closure was requested.Root/General/DisplayCloseRequestOn: Formatted display string forCloseRequestOn.Root/General/CloseStartOn: Timestamp when the closing process actually started.Root/General/DisplayCloseStartOn: Formatted display string forCloseStartOn.Root/General/CloseFinishedOn: Timestamp marking when the version was fully closed.Root/General/DisplayCloseFinishedOn: Formatted display string forCloseFinishedOn.Root/General/IsAwaitingClosure: Boolean indicating whether the version is in the process of being closed but not yet finalized.
Version 4.4.0
Release date
MBA: 2025-06-23
Customer: 2025-06-30
Changes
- Test case execution document (TestRunTestCaseAdditionalFields-dm): Add field
Root/General/ProjectVersionNumber - Test suite in Run document (TestRunTestSuiteAdditionalFields-dm):
- Add field
Root/General/ProjectVersionNumber - Add field
Root/General/TestRunDocRef - Add field
Root/General/TestSuiteDocRef - Add field
Root/DisplayFields/Lock
- Add field
- The
LIST_TREE_LINKoperation is now marked as deprecated.
Version 4.3.0
Release date
MBA: 2025-05-12
Customer: 2025-05-17
Changes
- TestRun document: Add option item
In Progressinto the fieldRoot/General/Status
Version 4.2.0
Release date
MBA: 2025-04-02
Customer: 2025-04-08
Changes
Test case document: Add field Root/Risk/AutoCalculateImpact and Root/Risk/AutoCalculateLikelihood that determined if Impact and Likelihood value is manually input by user or calculated by system
Version 4.1.0
Release date
MBA: 2025-02-19
Customer: 2025-02-24
Changes
There is no change
Version 4.0.0
Release date
MBA: 2025-01-08
Customer: 2025-01-13
Changes
There is no change
Version 3
Version 3.15.0
Release date
MBA: 2024-12-11
Customer: 2024-12-16
Changes
There is no change
Version 3.14.0
Release date
MBA: 2024-11-20
Customer: 2024-11-25
Changes
- Remove the
projectVersionparameter of the operation ADD_TEST_CASES_TO_RUN_BY_ID
Version 3.13.0
Release date
MBA: 2024-10-30
Customer: 2024-11-04
Changes
-
Add endpoint Download the automation data
-
Remove param
emailfrom EXPORT_QF_DATA_STRUCTURE and EXPORT_QF_DATA_DETAIL -
Json data of EXPORT_QF_DATA_STRUCTURE: change
infofield name to respective business object (Project,Version,TestSuite,TestFolder,TestCase)
Version 3.12.0
Release date
MBA: 2024-10-09
Customer: 2024-10-14
Changes
Test case document: Add field Root/General/CombinationLikelihoodImpact that combines values of Likelihood and Impact field